> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flozy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Tasks

> Standalone tasks or linked to leads. Supports subtasks via parent_task_id.

A **task** can be standalone or linked to a lead. Tasks support a parent/child hierarchy via `parent_task_id`.

## Task object

| Field            | Type            | Description                                                |
| ---------------- | --------------- | ---------------------------------------------------------- |
| `id`             | integer         | Unique task ID.                                            |
| `title`          | string          | Task title.                                                |
| `description`    | string \| null  | Optional description.                                      |
| `status`         | integer         | `1` todo · `2` in progress · `3` completed · `4` in review |
| `priority`       | integer         | `1` low · `2` medium · `3` high                            |
| `due_date`       | string \| null  | ISO 8601 due date.                                         |
| `start_date`     | string \| null  | ISO 8601 start date.                                       |
| `lead_id`        | integer \| null | Linked lead ID.                                            |
| `parent_task_id` | integer \| null | Parent task ID for subtasks.                               |
| `created_at`     | string          | ISO 8601 creation timestamp.                               |

## Endpoints

<CardGroup cols={2}>
  <Card title="List tasks" icon="list" href="/api-reference/tasks/list">`GET /tasks`</Card>
  <Card title="Get task" icon="magnifying-glass" href="/api-reference/tasks/get">`GET /tasks/{id}`</Card>
  <Card title="Create task" icon="plus" href="/api-reference/tasks/create">`POST /tasks`</Card>
  <Card title="Update task" icon="pen" href="/api-reference/tasks/update">`PUT /tasks/{id}`</Card>
  <Card title="Delete task" icon="trash" href="/api-reference/tasks/delete">`DELETE /tasks/{id}`</Card>
</CardGroup>
